Bug 1549071 - CVE-2018-1000085 clamav: Out-of-bounds heap read in XAR parser [fedora-all]
Summary: CVE-2018-1000085 clamav: Out-of-bounds heap read in XAR parser [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 27
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1549070 (view as bug list)
Depends On:
Blocks: CVE-2018-1000085
TreeView+ depends on / blocked
 
Reported: 2018-02-26 10:39 UTC by Adam Mariš
Modified: 2018-03-13 17:17 UTC (History)
10 users (show)

Fixed In Version: clamav-0.99.4-1.fc27 clamav-0.99.4-1.el7 clamav-0.99.4-1.el6 clamav-0.99.4-1.fc26
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-06 17:31:04 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-02-26 10:39:25 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Adam Mariš 2018-02-26 10:39:31 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1549069,1549071

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-03-02 17:55:10 UTC
clamav-0.99.4-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7e91105260

Comment 3 Fedora Update System 2018-03-02 17:55:33 UTC
clamav-0.99.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-aacf1b47d6

Comment 4 Fedora Update System 2018-03-02 17:55:45 UTC
clamav-0.99.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-602b5345fa

Comment 5 Fedora Update System 2018-03-02 17:55:59 UTC
clamav-0.99.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2b08aa37f

Comment 6 Fedora Update System 2018-03-03 17:05:45 UTC
clamav-0.99.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7e91105260

Comment 7 Fedora Update System 2018-03-03 17:06:36 UTC
clamav-0.99.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-aacf1b47d6

Comment 8 Fedora Update System 2018-03-03 17:27:05 UTC
clamav-0.99.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2b08aa37f

Comment 9 Fedora Update System 2018-03-03 17:58:39 UTC
clamav-0.99.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-602b5345fa

Comment 10 Fedora Update System 2018-03-06 17:31:04 UTC
clamav-0.99.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Sergio Monteiro Basto 2018-03-09 02:55:24 UTC
*** Bug 1549070 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2018-03-13 17:08:06 UTC
clamav-0.99.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-03-13 17:08:45 UTC
clamav-0.99.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-03-13 17:17:46 UTC
clamav-0.99.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.